Subject: Re: [PATCH] powerpc/pseries/iommu: LPAR panics when rebooted with a frozen PE

From: Michael Ellerman <[email-masked]>
Date: Mon, 22 Apr 2024 15:40:52 +1000

Michal Suchánek <[email-masked]> writes:
> Hello,
>
> On Fri, Apr 19, 2024 at 04:12:46PM +1000, Michael Ellerman wrote:
>> Gaurav Batra <[email-masked]> writes:
>> > At the time of LPAR reboot, partition firmware provides Open Firmware
>> > property ibm,dma-window for the PE. This property is provided on the PCI
>> > bus the PE is attached to.
>> 
>> AFAICS you're actually describing a bug that happens during boot *up*?
>> 
>> Describing it as "reboot" makes me think you're talking about the
>> shutdown path. I think that will confuse people, me at least :)
>
> there is probably an assumption that it must have been running
> previously for the errors to happen in the first place but given the
> error state persists for a day it may be a very long 'reboot'.

Yeah. Which is good detail, but the actual change is to the boot up path
so I think it's better described that way.

cheers